# $Id: perl-String-KeyboardDistanceXS.spec 5984 2007-11-11 22:25:32Z dag $
# Authority: dries
# Upstream: Kyle R. Burton <kyle,burton$gmail,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name String-KeyboardDistanceXS

Summary: Rdpfp Approximate String Comparison
Name: perl-String-KeyboardDistanceXS
Version: 0.02
Release: 1.2.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/String-KeyboardDistanceXS/

Source: http://www.cpan.org/modules/by-module/String/String-KeyboardDistanceXS-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
This is an XS implementation of the main qwerty functions for computing
the distance and match probabilities from the String::KeyboardDistance
module. Please see the documentation for String::KeyboardDistance for
more about these functions.

Since these functions are implemented as XS, in C, they are
significantly faster than the Perl based functions in
String::KeyboardDistance. That is the primary reason for this module,
performance.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/String/
%{perl_vendorarch}/String/KeyboardDistanceXS.pm
%dir %{perl_vendorarch}/auto/String/
%{perl_vendorarch}/auto/String/KeyboardDistanceXS

%changelog
* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.02-1.2 #5984
- Rebuild for Fedora Core 5.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.02-1
- Initial package.
